Supported and compatible product versions

Supported product versions and compatibility between products.

DataStax Enterprise, Apache Cassandra, CQL, and SSTable compatibility

The following table lists each supported version of DataStax Enterprise (DSE) and its corresponding Apache Cassandra™, CQL, and SSTable versions:
DataStax Enterprise (DSE) Apache Cassandra CQL SSTable format* SSTable version
6.7 Compatible with 3.11 + production-certified enhancements 3.4.5 + enhancements bti a
6.0 Compatible with 3.11 + production-certified enhancements 3.4 + enhancements bti a
5.1 Compatible with 3.11 + production-certified enhancements 3.4 + enhancements big m
End of Life (EOL) — Patches/bug fixes not available.
Version Date
5.0 2018-12-05 Compatible with 3.0 + production-certified enhancements 3.3 big m
End of Service Life (EOSL) — Patches/bug fixes and support not available. Documentation not maintained.
Version Date
4.8 2018-10-16 2.1 + enhancements 3.1 big k
4.7 2017-10-18 2.1
4.6 2016-12-28 2.0 j

4.5

4.0

2016-06-29

2016-02-25

3.2

3.1

2015-11-13

2015-07-08

1.2 3.0

3.0

2.2

2015-02-25

2014-10-04

1.1
2.1 2014-07-23 1.0

* Verify compatibility with the current DSE version when using nodetool upgradesstables, sstableloader, and sstableupgrade. See the SSTable compatibility and upgrade version table 6.7 | 6.0.

DSE OpsCenter compatibility with DSE

This table lists OpsCenter compatibility for both monitored and storage clusters (if one or more are in use).
OpsCenter version DSE version
6.7 6.7, 6.0, 5.1
6.5 6.0, 5.1, 5.0
6.1 5.1, 5.0
6.0 5.0
Note: Starting with OpsCenter version 6.0, OpsCenter is only compatible with DataStax Enterprise (DSE) clusters. DataStax discontinued OpsCenter compatibility with Open Source Software (OSS) Cassandra clusters and DataStax Distributions of Cassandra (DDC) clusters, formerly known as DataStax Community (DSC). Customers currently using an OpsCenter version earlier than 6.0 to provision, manage, and maintain their OSS Cassandra, DSC, and DDC clusters must look for other tools to continue their management and maintenance activities.

DataStax Studio compatibility with DSE

The following table lists DataStax Studio compatibility with DSE:

Studio version DSE version
6.7 6.7
6.0 6.0
2.0 5.1, 5.0

DataStax driver compatibility with DSE and Apache Cassandra

See Version compatibility.

DataStax support for Apache Cassandra

DataStax only supports the versions of Cassandra included in DataStax Enterprise, not open-source Cassandra. You can download the latest open-source versions from Apache Cassandra. Cassandra 3.0 documentation only applies to the enhanced versions of Cassandra included in DataStax Enterprise 5.0 (EOL).
Note: DataStax Enterprise 4.8 is End-Of-Service-Life (EOSL). Documentation for Cassandra 2.1 and CQL 3.1 is no longer supported.
Content for the following DataStax produced Cassandra documents were last updated in early January 2017:
  • Cassandra 3.x Linux and Windows
  • Cassandra 3.0 Windows
  • Cassandra 2.2 Linux and Windows
  • Cassandra 2.0
  • Cassandra 1.2

For open-source Cassandra, see the Apache Cassandra documentation.